"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@nestjs-query/core");
const sequelize_1 = require("@nestjs/sequelize");
const decorators_1 = require("./decorators");
const services_1 = require("./services");
function createSequelizeQueryServiceProvider(EntityClass, connection) {
    return {
        provide: decorators_1.getSequelizeQueryServiceKey(EntityClass),
        useFactory(entity) {
            core_1.AssemblerSerializer((instance) => instance.get({ plain: true }))(entity);
            core_1.AssemblerDeserializer((obj) => entity.build(obj))(entity);
            return new services_1.SequelizeQueryService(entity);
        },
        inject: [sequelize_1.getModelToken(EntityClass, connection)],
    };
}
exports.createSequelizeQueryServiceProviders = (entities, connection) => entities.map((entity) => createSequelizeQueryServiceProvider(entity, connection));
//# sourceMappingURL=providers.js.map